// *****************************************************************************
// *                           EUROSYSTEM-LPS                                  *
// *****************************************************************************
// * Sprache                : KE-Visual                                        *
// * programmiert von       : Roland Hank             								 *
// * Projekt begonnen am    : 29.05.1996                                       *
// * Sourcetext begonnen am : 29.05.1996                                       *
// * letzte nderung am     : 25.06.1996                                       *
// *****************************************************************************
// *                         Datei : FLAGS.H                                   *
// *****************************************************************************
// * Bemerkung : Beschreibung aller verwendeten Flag - Variablen               *
// *             bindend fr die Screen- + Drucker-Texte + Datenbanken         *
// *****************************************************************************

// System-Include-Files
#include	<sys_flag.h>

// ****************************************************************************
// *              	           Flags     	                                 *
// ****************************************************************************
// * Bemerkung : Flag 0 - 9 sind als Systemflags reserviert.                  *
// ****************************************************************************

//---------------- Fernbedienung-Flags ------------------------------------
#define	FLAG_IRF_TASTE									20

//---------------- Drucker-Job beendet ------------------------------------
#define  FLAG_DRUCKAUFTRAG_BEENDET           	21

//---------------- allgemeine Flags ---------------------------------------

	// => Ja/Nein-Abfrage
#define	FLAG_JA_WURDE_BESTAETIGT			  		22



// etwas gemessen, wird bentigt, z.B. zum automatischen Abspeichern, sonst
// kann ber Transponder mehrmalig abgelegt werden ( => Keine Messwerte mehr ! )
#define	FLAG_ETWAS_GEMESSEN							82		// irgendetwas gemessen ?

// etwas befahren  (irgendein Prfgert)
// => wird bentigt um das Neubefahren eines anderen Prfgertes zu erkennen
//    Dadurch wird unabhngig von der "Befahren-Zeit" der Bildschirm des
//    neu befahrenen Gertes aufgebaut
#define	FLAG_ETWAS_BEFAHREN							83		// irgendetwas befahren ?

// Messung bei dieser Sektion bereits gespeichert   ja/nein ??
// wichtig, z.B. beim autom. Speichern
#define	FLAG_MESSUNG_IST_GESPEICHERT				84		// bereits gespeichert ?

// Messung wurde manuell geladen => kein automatisches Speichern mglich
// wichtig, z.B. beim autom. Speichern
#define	FLAG_MESSUNG_WURDE_MANUELL_GELADEN		85


// LON Protokoll Flags !!!
// Service => nur "horchen" der Messages ( Monteur )
#define	FLAG_LON_MESSAGES_MANUELL_AUSWERTEN		91
//            neu anzeigen, zum syncronisieren vom Screen / CPP
#define	FLAG_LON_MESSAGES_NEU_ANZEIGEN			92

// fr das EEProm-Variablen lesen, wird dieses FLAG verwendet   13.06.96
// => erst wenn vom LON-Knoten die Variable gesetzt (TRUE) wird,
//    kann die nchste Variable gelesen werden !!
#define	FLAG_LON_VARIABLE_KORREKT_EMPFANGEN 	93

#define	FLAG_VARIABLEN_PROGRAMMIEREN_BEENDET	94

#define	FLAG_RS232_VARIABLE_KORREKT_EMPFANGEN 	95

// ================ ab 100 sind Prfstands-Flags !! ==========================

// ****************************************************************************
// *            	       Flags fr Screentext-Verwaltung                      *
// ****************************************************************************

#define	FLAG_SCREENTEXT_BUTTONS_AKTIV			100
#define	FLAG_SCREENTEXT_LV_LPS_AKTIV			101
#define	FLAG_SCREENTEXT_DATADISP_AKTIV		102
#define	FLAG_SCREENTEXT_COMMAND_AKTIV			103
#define	FLAG_SCREENTEXT_STATUSLN_AKTIV		104
#define	FLAG_SCREENTEXT_REGLER_AKTIV			105
#define	FLAG_SCREENTEXT_CALC_PV_AKTIV			106
#define	FLAG_SCREENTEXT_EICHEN_AKTIV			107
#define	FLAG_SCREENTEXT_CALC_PV2_AKTIV		108
#define	FLAG_SCREENTEXT_STATUS_AKTIV			109
#define	FLAG_SCREENTEXT_VAR_LOAD_AKTIV  		110
#define	FLAG_SCREENTEXT_WAAGE_AKTIV 	 		111

// ****************************************************************************
// *              	           Prfstands-Flags                              *
// ****************************************************************************

#define	FLAG_PARASITAERE_VERLUSTE_ERMITTELN	200
#define	FLAG_POLYNOM_BERECHNEN					201
#define	FLAG_ASM_VERLUSTE_ERMITTELN			202

#define	FLAG_ABGLEICH_OK							210

// ***************
// *     LPS     *
// ***************
/*
#define	FLAG_KONTINUIERLICHE_MESSUNG_AKTIV	200
#define	FLAG_DREHZAHL_GESCHWINDIGKEIT			201
#define	FLAG_LPS_AUSLAUF_FREIGABE				202
#define	FLAG_LPS_MESSUNG_BEENDET				203
#define	FLAG_LPS_NEUE_MESSUNG					204
#define	FLAG_LPS_ALLRAD_BETRIEB					205		// Wird beim Start der Messung bernommen
#define	FLAG_LPS_ALLRAD_PRUEFSTAND				206		// Soft-DIP
#define	FLAG_LPS_ALLRAD_MODE						207		// Wird anhand der Rollengeschw. erkannt
#define	FLAG_LPS_2_AUSROLLVERSUCHE				208		// Soft-DIP
#define	FLAG_LPS_MESSUNG_AN_VA					209		// Wird vor Beginn der Messung gesetzt
#define	FLAG_LPS_MESSUNG_AN_HA					210		// Wird vor Beginn der Messung gesetzt
#define	FLAG_LPS_MESSUNG_UEBER_V				211		// Diskrete Messung ber Geschwindigkeit
#define	FLAG_LPS_MESSUNG_UEBER_N				212		// Diskrete Messung ber Drehzahl
#define	FLAG_LPS_DISKRETE_MESSUNG				213		// Diskrete Messung

// Flags fr anzuzeigende Kurven
#define	FLAG_KURVE_RADLEISTUNG					250
#define	FLAG_KURVE_SCHLEPPLEISTUNG				251
#define	FLAG_KURVE_NORMLEISTUNG					252
#define	FLAG_KURVE_DREHMOMENT					253
#define	FLAG_KURVE_LADEDRUCK						254
#define	FLAG_KURVE_VERBRAUCH_G_KWH				255
#define	FLAG_KURVE_EINSPRITZ_MENGE				256
#define	FLAG_KURVE_TRUEBUNG						257
#define	FLAG_KURVE_CO								258
#define	FLAG_KURVE_CO2								259
#define	FLAG_KURVE_HC								260
#define	FLAG_KURVE_O2								261
#define	FLAG_KURVE_LAMBDA							262
#define	FLAG_KURVE_OELTEMPERATUR				263
#define	FLAG_KURVE_LUFTTEMPERATUR				264
#define	FLAG_KURVE_ABGASTEMPERATUR				265
#define	FLAG_KURVE_ABGASDRUCK					266
#define	FLAG_KURVE_DREHZAHL						267

#define	FLAG_KURVE_ZUSATZ                   280
*/
// ***********************************
// * Flags fr Statusmeldung vom ASM *
// ***********************************

#define	FLAG_STATUS_0								401
#define	FLAG_STATUS_1								402
#define	FLAG_STATUS_2								403
#define	FLAG_STATUS_3								404
#define	FLAG_STATUS_4								405
#define	FLAG_STATUS_5								406
#define	FLAG_STATUS_6								407
#define	FLAG_STATUS_7								408
#define	FLAG_STATUS_8								409
#define	FLAG_STATUS_9								410
#define	FLAG_STATUS_10								411
#define	FLAG_STATUS_11								412
#define	FLAG_STATUS_12								413
#define	FLAG_STATUS_13								414
#define	FLAG_STATUS_14								415
#define	FLAG_STATUS_15								416

//**************************************************************************/
//                     	   Ende Datei : FLAGS.H                            */
//**************************************************************************/

