// *****************************************************************************
// *            EUROSYST - FENDT-Prfstrasse auf PC LON Basis                  *
// *****************************************************************************
// * Sprache                : Borland C++ V 4.52                               *
// * programmiert von       : EURO-System-FENDT-Team  								 *
// * Projekt begonnen am    : 29.05.1996                                       *
// * Sourcetext begonnen am : 29.05.1996                                       *
// * letzte nderung am     : 20.06.1996                                       *
// *****************************************************************************
// *                          Datei : MAKROS.H                                *
// ****************************************************************************
// * Bemerkung : Angabe aller in den Screens verwendeten Makros               *
// ****************************************************************************


// aus Kompatibilitt zu lteren KE-Visual-Libraries mssen bestimmte
// Befehle wie "ButtonSetTitleColor" durch neuere ID-Objekte ersetzt werden !!!
// compat.h => compatibel
#include <compat.h>

// Diagramm-IDs
#define 	ID_DIAGRAM_1									1

// Button-IDs generell
#define ID_BUTTON_ESC									100
#define ID_BUTTON_PREVIOUS_PAGE                 101
#define ID_BUTTON_NEXT_PAGE                     102
#define ID_BUTTON_PRINT									103
#define ID_BUTTON_PRINT_AKTIV							104
#define ID_BUTTON_HELP									105
#define ID_BUTTON_ERFASSE								106
#define ID_BUTTON_MENUE									107
#define ID_BUTTON_ABORT_PRINT							108
#define ID_BUTTON_VA									   109
#define ID_BUTTON_FS									   110
#define ID_BUTTON_HA									   111
#define ID_BUTTON_LOGO								   112  // fr Firmenlogo
#define ID_BUTTON_ACHSE_NEXT 						   113
#define ID_BUTTON_ACHSE_PREV 						   114

#define ID_BUTTON_F5                            150
#define ID_BUTTON_F6                            151
#define ID_BUTTON_F7                            152
#define ID_BUTTON_F8                            153
#define ID_BUTTON_UP										154
#define ID_BUTTON_DOWN									155

// Makros fr die LPS-Kurven
#define	KURVE_PV											1
#define	KURVE_DELTA_T									2
#define	KURVE_PV_INTERPOLIERT						3


#define KURVE_TEMPORAER								1

#define KURVE_P_RAD									2
#define KURVE_P_SCHLEPP								3
#define KURVE_P_MOT									4
#define KURVE_P_NORM									5
#define KURVE_M_NORM									6
#define KURVE_ZUSATZ									7

#define KURVE_P_RAD_N								8
#define KURVE_P_SCHLEPP_N							9
#define KURVE_P_NORM_N								10
#define KURVE_M_NORM_N								11
#define KURVE_ZUSATZ_N								12

#define KURVE_LADEDRUCK								13
#define KURVE_VERBRAUCH_G_KWH						14
#define KURVE_EINSPRITZ_MENGE						15
#define KURVE_TRUEBUNG								16
#define KURVE_CO										17
#define KURVE_CO2										18
#define KURVE_HC										19
#define KURVE_O2										20
#define KURVE_LAMBDA									21
#define KURVE_OELTEMPERATUR						22
#define KURVE_LUFTTEMPERATUR						23
#define KURVE_ABGASTEMPERATUR						24
#define KURVE_ABGASDRUCK							25
#define KURVE_DREHZAHL								26

#define KURVE_LUFTDRUCK								33
#define KURVE_P_SCHLEPP_VA							34
#define KURVE_P_SCHLEPP_HA							35

#define KURVE_ZUGKRAFT_1							36
#define KURVE_BESCHLEUNIGUNG_1					37
#define KURVE_ZUGKRAFT_2							38
#define KURVE_BESCHLEUNIGUNG_2					39

#define KURVE_ZUGKRAFT_VA							40
#define KURVE_BESCHLEUNIGUNG_VA					41
#define KURVE_ZUGKRAFT_HA							42
#define KURVE_BESCHLEUNIGUNG_HA					43

#define KURVE_BESCHLEUNIGUNG_P_RAD				44
#define KURVE_BESCHLEUNIGUNG_P_SCHLEPP_VA		45
#define KURVE_BESCHLEUNIGUNG_P_SCHLEPP_HA		46

#define KURVE_P_RAD_DISKRET						47
#define KURVE_P_RAD_N_DISKRET						48


// ==================== Makros fr die Datenbanken ===========================

		// aus kompletter PCMAIN.DBF einen Kunden ber den Browser auswhlen
		//	aber  n i c h t  laden !
		// => setzen der SYSVAR_PCMAIN_IDENT_NR
#define	KUNDEN_AUS_DATENBANK_AUSWAEHLEN				1


		// einen Kunden aus der Liste der offenen Prfungen auswhlen
		//	aber  n i c h t  laden !
		// => setzen der SYSVAR_PCMAIN_IDENT_NR
#define	KUNDEN_AUS_OFFENE_PRUEFUNGEN_AUSWAEHLEN 	2

		// einen bereits selektierten Kunden ( 1 + 2 ) aus der PCMAIN.DBF
		// und das zugehrige Fahrzeug aus FZG_DAT.DBF laden (lesen)
#define	KUNDEN_AUS_DATENBANK_LADEN						3


		// anhand einer UserVar das aktive Fahrzeug setzen
		// => Kennung SYSVAR_PCMAIN_IDENT_NR setzen
#define	AKTIVE_FAHRZEUGKENNUNG_SETZEN					5

		// das aktive Fahrzeug rcksetzen
		// Kennung SYSVAR_PCMAIN_IDENT_NR lschen
		// => rcksetzen der SYSVAR_PCMAIN_IDENT_NR
#define	AKTIVE_FAHRZEUGKENNUNG_RUECKSETZEN			6



		// einen neuen Kunden an die PCMAIN.DBF anhngen (append)
		// z.B. im Datenneu.scr
#define	KUNDEN_NEU_ANLEGEN 								11

		// einen genderten Kunden in der PCMAIN.DBF updaten (replace)
		// z.B. hat sich die Strasse / Telefonnummer gendert
#define	KUNDEN_IN_DATENBANK_UPDATEN            	12


		// jetz die Messwerte aller Gerte speichern
		// die FRP-Messung speichern
#define	FRP_MESSWERTE_SPEICHERN							22
		// die  BPS-Messung speichern
#define	BPS_MESSWERTE_SPEICHERN						   24

		// die  Tacho-Messung speichern
#define	TACHO_MESSWERTE_SPEICHERN						29

		// die  Mngeleingaben speichern
#define	MAENGEL_EINGABEN_SPEICHERN						31



		// aktives Fahrzeug beenden ( OFFENE_PRU = False setzen )
		// => wird aus der Liste der offenen Prfungen "gelscht"
#define	AKTIVES_FAHRZEUG_BEENDEN                  41


		// alle Messerte des aktiven Fahrzeuges ins RAM laden ( von Platte )
		// => alle Messwerte der angeschlossenen Gerte werden ins RAM geladen
		//    ( wird vom aktuellen Kunden geladen )
#define	LADE_AKTUELLE_MESSWERTE_INS_RAM	         51

		// aus kompletter FZG_DAT.DBF ein Fahrzeug auswhlen + laden
		// => alle Fahrzeugdaten aus FZG_DAT.DBF ( z.B. ber Browser )
		// z.B. beim Kunden_neu_anlegen ein Fahrzeug aus der Liste whlen
#define	FAHRZEUG_AUS_DATENBANK_AUSWAEHLEN_LADEN   71

		// ein neues Fahrzeug an die FZG_DAT.DBF anhngen (append)
		// z.B. im Fahrzeug.scr
#define	FAHRZEUG_NEU_ANLEGEN 							72

		// einen gendertes Fahrzeug in der FZG_DAT.DBF updaten (replace)
		// z.B. haben sich Grenzwerte gendert
#define	FAHRZEUG_IN_DATENBANK_UPDATEN            	73

		// Fahrzeug ID rcksetzen
		// Rcksetzen der SYSVAR_FZG_DAT_IDENT_NUMMER
#define	FAHRZEUG_IDENTIFIKATION_RUECKSETZEN       74


//=============================================================================

		// fr den Prfablauf des ALB + BPS das 1. "offene" FZG aus der Liste
		// selektieren => wird das aktuelle zur Prfung (aber  n i c h t  laden)
		// => setzen der SYSVAR_PCMAIN_IDENT_NR
#define	SETZE_IDENTNR_MIT_ERSTEM_OFFENEN_FAHRZEUG	101
#define	SETZE_IDENTNR_MIT_ZWEITEM_OFFENEN_FAHRZEUG 102  // speziell fr ALB

		// ber die Fahrgestellnummer wird ein Fahrzeug aus der FZG-Datenbank
		//	geladen
#define	LADE_FZG_DATEN_UEBER_DIE_FAHRGESTELLNUMMER 103

		// Pollmeldungen, ob n. Prfstand frei ist ( fr Ampel grn ! )
#define	IST_FRP_PRUEFSTAND_UNBEFAHREN					111
#define	IST_BPS_PRUEFSTAND_UNBEFAHREN					112

		// speichere Meldungen, da n. Prfstand frei ist ( fr Ampel grn ! )
#define	SETZE_FRP_PRUEFSTAND_UNBEFAHREN				121
#define	SETZE_BPS_PRUEFSTAND_UNBEFAHREN				122

		// speichere Meldungen, da n. Prfstand "befahren" ist ( fr Ampel rot ! )
#define	SETZE_FRP_PRUEFSTAND_BEFAHREN					131
#define	SETZE_BPS_PRUEFSTAND_BEFAHREN					132


		// Position des Rollteppichs lesen/schreiben ( STATUS.DBF )
#define	ROLLTEPPICH_POSITION_LESEN						141
#define	ROLLTEPPICH_POSITION_SCHREIBEN				142


//=============================================================================

		// aus der SYSTEM.DBF die Systemeinstellungen laden
#define	SYSTEMEINSTELLUNGEN_LADEN						301

		// die Systemeinstellungen in die SYSTEM.DBF speichern
#define	SYSTEMEINSTELLUNGEN_SPEICHERN					302


//=============================================================================


		// aus den Screentexten knnen bestimmte Datenbank-Funktionen
		// aufgerufen werden.

#define	DATENBANK_SELECT_AREA							401	// PCMAIN/FZG_DAT-Area

#define	DATENBANK_GO_TOP									411	// Dateianfang
#define	DATENBANK_NEXT_RECORD							412   // Skip

#define	DATENBANK_SET_FILTER								421	// Filter setzen
#define	DATENBANK_CLEAR_FILTER 							422	// Filter lschen
#define	DATENBANK_SET_FILTER_AUF_DATUM				423	// Filter setzen mit
																			// Textbuffer-Datum
#define	DATENBANK_FILTER_GELOESCHTE_ANZEIGEN		424	// auch gelschten
																			// Records anzeigen
#define	DATENBANK_FILTER_GELOESCHTE_NICHT_ANZEIGEN 425  // keine gelschten
																			// Records anzeigen

#define	DATENBANK_SET_INDEX								428	// Index setzen (aktiv)
#define	DATENBANK_CLEAR_INDEX 							429	// Index = Ident-Nr

#define	DATENBANK_DELETE_RECORD							431 	// lsche einz.Datensatz
#define	DATENBANK_RECALL_RECORDS						432 	// wiederherstellen
																			// aller Datenstze

#define	DATENBANK_LOESCHE_KUNDEN_IM_DATUMSBEREICH	441	// ber Datumsbereich
#define	DATENBANK_LOESCHE_FZGE_UEBER_HERSTELLER   442	// ber Hersteller

#define	DATENBANK_DATENBANKDATEN_LADEN  				451	// PCMAIN/FZG_DAT
#define	DATENBANKEN_PACKEN								452	// pysikalisch gelscht





#define	DATENBANK_INITIALISIERUNG_PROBRAMMSTART  	500	// Initialisierung beim
																			// Booten => im Intro

#define	DATENBANK_INITIALISIERUNG_KORREKT   		501	// alles okay
#define	DATENBANK_INITIALISIERUNG_NOTBETRIEB   	502	// Notbetrieb
#define	DATENBANK_INITIALISIERUNG_FATALER_ERROR	511	// fataler Error
																			// DB verweigert Job
																			// oder fehlende
																			// Programm-Resourcen !

// ****************************************************************************
// *                Applikation-Proceduren und Funktionen                     *
// ****************************************************************************

#define	PROCEDURE_MESSWERTE_INTERPOLIEREN			1000
#define	PROCEDURE_SCHLEPPLEISTUNG_HOCHRECHNEN		1001
#define	PROCEDURE_MOTORLEISTUNG_BERECHNEN			1002
#define	PROCEDURE_MOTORLEISTUNG_NORMIEREN			1003
#define	PROCEDURE_DREHMOMENT_BERECHNEN				1004
#define	PROCEDURE_DREHZAHL_BEZUG_HERSTELLEN			1005
#define	PROCEDURE_MAX_GESCHWINDIGKEIT_ERMITTELN	1006
#define	PROCEDURE_SCHLEPPLEISTUNG_VA_HA_ADDIEREN	1007
#define	PROCEDURE_RADLEISTUNG_KORRIGIEREN			1008
#define	PROCEDURE_SCHLEPPLEISTUNG_KORRIGIEREN	  	1009

#define	PROCEDURE_POLYNOM_BERECHNEN					1010
#define	PROCEDURE_INIT_RS232								1020

#define	FUNKTION_X_KOORDINATE_BESTIMMEN 				1100
#define	FUNKTION_Y_KOORDINATE_BESTIMMEN 				1101
#define	FUNKTION_MESSWERTE_ANFORDERN					1102
#define	FUNKTION_STATUS_ANFORDERN						1103
#define	FUNKTION_KOMMANDO_SENDEN						1104
#define	FUNKTION_IIR_FILTER								1105

// ****************************************************************************
// *                         Message Code-Nummern                             *
// ****************************************************************************


#define	MESSAGE_VARIABLEN_SPEICHERN					20
#define	MESSAGE_SEITE_VORWAERTS							21
#define	MESSAGE_SEITE_RUECKWAERTS						22

#define	MESSAGE_POP_SCREENTEXT							30
#define	MESSAGE_PRINT										31

#define	MESSAGE_START_COMMAND							50
#define	MESSAGE_START_REGLER								61

#define	MESSAGE_VERLUSTE_NEU_ERMITTELN				70
#define	MESSAGE_ANTRIEB_EIN								71
#define	MESSAGE_ANTRIEB_AUS								72
#define	MESSAGE_SPEICHERN									73

#define	MESSAGE_COAST_DOWN_20_10						80
#define	MESSAGE_COAST_DOWN_30_20						81
#define	MESSAGE_COAST_DOWN_30_15						82

#define	MESSAGE_FUNKTIONSTASTEN_INAKTIV				100
#define	MESSAGE_F5_BELEGEN								101
#define	MESSAGE_F6_BELEGEN								102
#define	MESSAGE_F7_BELEGEN								103
#define	MESSAGE_F8_BELEGEN								104
#define	MESSAGE_F_KEYS_MIT_LEISTUNG_BELEGEN			105

// ****************************************************************************
// *                   Definitionen fr Button Stringtabelle                  *
// ****************************************************************************

#define	ST_BUTTON_NICHT_BELEGT							1
#define	ST_BUTTON_KOMMANDO								2
#define	ST_BUTTON_REGLER									3

#define	ST_BUTTON_VARIABLEN_PROGRAMMIEREN			50
#define	ST_BUTTON_SEITE_RUECKWAERTS					51
#define	ST_BUTTON_SEITE_VORWAERTS						52

#define	ST_BUTTON_NEUE_MESSUNG							60
#define	ST_BUTTON_ASM_MESSUNG							61
#define	ST_BUTTON_ANTRIEB_AUS							62
#define	ST_BUTTON_SPEICHERN								63

#define	ST_BUTTON_20_10_MPH								70
#define	ST_BUTTON_30_20_MPH								71
#define	ST_BUTTON_30_15_MPH								72

// ****************************************************************************
// *                   Definitionen fr Kurven-Stringtabelle                  *
// ****************************************************************************

#define	ANZAHL_AUSWAHL_KURVEN							18

#define	ST_KURVE_RADLEISTUNG								1
#define	ST_KURVE_SCHLEPPLEISTUNG						2
#define	ST_KURVE_NORMLEISTUNG							3
#define	ST_KURVE_DREHMOMENT								4
#define	ST_KURVE_LADEDRUCK								5
#define	ST_KURVE_VERBRAUCH_G_KWH						6
#define	ST_KURVE_EINSPRITZ_MENGE						7
#define	ST_KURVE_TRUEBUNG									8
#define	ST_KURVE_CO											9
#define	ST_KURVE_CO2										10
#define	ST_KURVE_HC											11
#define	ST_KURVE_O2											12
#define	ST_KURVE_LAMBDA									13
#define	ST_KURVE_OELTEMPERATUR							14
#define	ST_KURVE_LUFTTEMPERATUR							15
#define	ST_KURVE_ABGASTEMPERATUR						16
#define	ST_KURVE_ABGASDRUCK								17
#define	ST_KURVE_DREHZAHL									18

// ****************************************************************************
// *           Definitionen fr Variablen-berschrift Stringtabelle           *
// ****************************************************************************

#define	ST_LON_KNOTEN_OFFSET								1000
#define	ST_LON_KNOTEN_OFFSET_ALLRAD					2000

#define	ST_LON_OR8                                1003
#define	ST_LON_IE                                 1006
#define	ST_LON_LPS											1022
#define	ST_LON_LPS_VA										2022
#define	ST_LON_LPS_HA                             2026

// ****************************************************************************
// *                             Display Seiten                               *
// ****************************************************************************

#define	SEITE_HAUPTMENUE									0
#define	SEITE_LPS_VAR_PROGRAMMIEREN					1
#define	SEITE_MESSWERTE_ANZEIGEN						2
#define	SEITE_KOMMANDO_AUSFUEHREN						3
#define	SEITE_REGLER_AUSFUEHREN							4
#define	SEITE_LPS_DIP_PROGRAMMIEREN					5
#define	SEITE_CALC_PV										6
#define	SEITE_EICHEN										7
#define	SEITE_CALC_PV2										8
#define	SEITE_STATUS_ANZEIGEN							9
#define	SEITE_LPS_VAR_PROGRAMMIEREN_2					10
#define	SEITE_LPS_VAR_PROGRAMMIEREN_3					11
#define	SEITE_LOAD_CHECK									12
#define	SEITE_VAR_LOAD										13
#define	SEITE_WAAGE_KALIBRIEREN							14

// ****************************************************************************
// *                        Status der Diskreten Messung                      *
// ****************************************************************************

#define	STATUS_DM_HALTEN									0
#define	STATUS_DM_RAMPE 									1
#define	STATUS_DM_BEENDET									2

// ****************************************************************************
// *                          Ende Datei : MAKROS.H                           *
// ****************************************************************************


