// *****************************************************************************
// *            EUROSYST - FENDT-Prfstrasse auf PC LON Basis                  *
// *****************************************************************************
// * Sprache                : Borland C++ V 4.52                               *
// * programmiert von       : EURO-System-FENDT-Team  								 *
// * Projekt begonnen am    : 29.05.1996                                       *
// * Sourcetext begonnen am : 29.05.1996                                       *
// * letzte nderung am     : 20.06.1996                                       *
// *****************************************************************************
//*                         Datei : VAR.H                               	*
//**************************************************************************
//* Bemerkung : Beschreibung aller verwendeten SYSVAR + USERVAR - Variablen*
//*             bindend fr die Screen- + Drucker-Texte + Datenbanken      *
//**************************************************************************

// System-Include-Files vom KEVISUAL ( \KEVISUAL\INCLUDE\SYSTEM )
#include	<sys_var.h>

// ****************************************************************************
// * Allgemeine Konstanten                                        			   *
// ****************************************************************************

// ****************************************************************************
// *        	           Einheiten und Umrechnungsfaktoren             		*
// * Syntax : 	           "Einheit", Multiplikator, Divisor, Offset     		*
// ****************************************************************************
// Einheiten beginnen mit EH_  fr Einheit, damit keine Kollision mit
// anderen Makros oder DBF-Felddefinitionen

#define EEPROM					"", 1, 1, 0

#define EH_DIVERSES 			"", 1, 1, 0
#define EH_FLAG  				"", 1, 1, 0		// FLAG  FALSE/TRUE => 0-9
#define EH_SYSTEMVAR			"", 1, 1, 0		// Systemvariablen

// ****************************************************************************
// *        	           Ausgabe-Formate ( Vorkomma / Nachkomma )      		*
// * Syntax : 	           Vorkomma, Nachkomma                          			*
// ****************************************************************************

#define FORM_EEPROM				5, 0, UNSIGNED		// EEProm-Variable

#define FORM_DIVERSES 	   	5, 0, UNSIGNED		// Diverses => max. 99999,0
#define FORM_FLAG  				1, 0, UNSIGNED		// Flag => FALSE/TRUE
#define FORM_SYSTEMVAR			5, 0, UNSIGNED		// System-Variablen SYSTEM.DBF

// ****************************************************************************
// *              	      User-Variable                                      *
// ****************************************************************************
// vorhandene Definitionen [MAKRO-Nummern !] nicht ndern, aber erweiterbar !!
// werden vom Screen + von CPP verwendet, also NICHT NDERN !!!!!

#define  USERVAR_AKT_STATUSZEILE 					20 // akt. Statuszeile
#define  USERVAR_NEUE_STATUSZEILE					21 // neue Statuszeile

#define  USERVAR_TIMER_COUNTER_SCREEN        	25 // Fr Datenbankfunktionen im Screen
#define  USERVAR_TIMER_COUNTER_STATUSZEILE   	26 // nur fr die Statuszeile

#define  USERVAR_TIMER_COUNTER               	31 // Timer-Counter

#define  USERVAR_WERT									44 // diverser Wert
#define  USERVAR_WERT2									45 // diverser Wert 2
#define  USERVAR_WERT3									46 // diverser Wert 3

// -----Datenbank-Handling aus dem Screentext heraus
#define 	USERVAR_DATENBANK_AREA						80	// gewnschte DBF-Area
#define 	USERVAR_DATENBANK_INDEX_NR					81	// gewnschte Index-Nr
#define 	USERVAR_DATENBANK_FEHLER_NUMMER			82 // Fehlernummer
#define 	USERVAR_DATENBANK_RECORD_NUMMER			83 // Record
#define 	USERVAR_DATENBANK_FELDANZAHL_IST 		84 // Felderanzahl ist
#define 	USERVAR_DATENBANK_FELDANZAHL_SOLL		85 // Felderanzahl soll

#define	USERVAR_VARIABLEN_DATA						90	// Variablen-Daten

#define 	USERVAR_VAR_PRG_LON_KNOTEN_NUMMER 		98

// ------ fr diverses Zwecke
#define 	USERVAR_DIVERSES								99 // zum Auslesen diverser
																	// Kennungen ( z.B. TRANSP_NR )
																	// aber nicht verwendet, nur fr
																	// Syntax wichtig

//==============================================================================
// u.s.w.  => 1-100 sind vom USER erweiterbar
// => ab 100 reserviert ( vordefiniert ) fr die einzelnen Prfstnde

#define	USERVAR_STOPPUHR_V_START					100
#define	USERVAR_STOPPUHR_V_STOPP					101
#define	USERVAR_IGBT_TEST_WERT						102
#define	USERVAR_KALIBRIER_WERT						103

#define	USERVAR_V_SOLLWERT							200
#define	USERVAR_F_SOLLWERT							201
#define	USERVAR_P_SOLLWERT                     202
#define	USERVAR_P_ROLL                         203
#define	USERVAR_P_WALK                         204
#define	USERVAR_P_LUFT                         205
#define	USERVAR_MASSE                          206
#define	USERVAR_VERLUSTE_REIFEN_ROLLE				207
#define	USERVAR_AV_REIFEN_ROLLE						208
#define	USERVAR_BV_REIFEN_ROLLE						209
#define	USERVAR_CV_REIFEN_ROLLE						210
#define	USERVAR_AV										211
#define	USERVAR_BV										212
#define	USERVAR_CV										213

#define	USERVAR_POLYNOM_GRAD							220

#define	USERVAR_LPS_STOPPUHR_ZEIT_55_45		  	300	// s		3, 2
#define	USERVAR_LPS_STOPPUHR_ZEIT_32_28		  	301	// s		3, 2
#define	USERVAR_LPS_STOPPUHR_ZEIT_30_20		  	302	// s		3, 2
#define	USERVAR_LPS_STOPPUHR_ZEIT_22_18		  	303	// s		3, 2
#define	USERVAR_LPS_STOPPUHR_ZEIT_20_10		  	304	// s		3, 2
#define	USERVAR_LPS_STOPPUHR_ZEIT_12_8		  	305	// s		3, 2

#define	USERVAR_HP_SOLL								310

#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_50_5		320
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_45_10		321
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_38_27		322

#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_5			400
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_6			401
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_7			402
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_8			403
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_9			404
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_10			405
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_11			406
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_12			407
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_13			408
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_14			409
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_15			410
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_16			411
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_17			412
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_18			413
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_19			414
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_20			415
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_21			416
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_22			417
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_23			418
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_24			419
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_25			420
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_26			421
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_27			422
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_28			423
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_29			424
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_30			425
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_31			426
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_32			427
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_33			428
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_34			429
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_35			430
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_36			431
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_37			432
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_38			433
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_39			434
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_40			435
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_41			436
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_42			437
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_43			438
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_44			439
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_45			440
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_46			441
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_47			442
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_48			443
#define	USERVAR_LPS_STOPPUHR_VAR_LOAD_49			444

#define	USERVAR_EICHGEWICHT_WAAGE					460
#define	USERVAR_GEWICHT_OFFSET_LINKS				461
#define	USERVAR_GEWICHT_OFFSET_RECHTS				462

// --------------- Funktionstasten-Steuerung -------------------------------
#define	USERVAR_F5_BELEGUNG							540	// Belegung von F5
#define	USERVAR_F6_BELEGUNG							541	// Belegung von F6
#define	USERVAR_F7_BELEGUNG							542	// Belegung von F7
#define	USERVAR_F8_BELEGUNG							543	// Belegung von F8

// --------------- LPS -----------------------------------------------------
// Berechnete Medaten
#define	USERVAR_LPS_DREHMOMENT					 	551	// Drehmoment am Rad
#define	USERVAR_LPS_VERBRAUCH_G_KWH				552	// Verbrauch g/kWH
#define	USERVAR_LPS_EINSPRITZ_MENGE				553	// Einspritzmenge Ve

// Variablen fr Kontinuierliche Messung
#define	USERVAR_LPS_MESS_MODE						570	// Aktueller Mess-Mode
#define	USERVAR_LPS_SCHLEPPZEIGER_P_RAD			571	// Schleppzeiger fr P-Rad
#define	USERVAR_LPS_SCHLEPPZEIGER_P_SCHLEPP		572	// Schleppzeiger fr P-Schlepp
#define	USERVAR_LPS_LAST_MESS_MODE					573	// Letzter Me-Mode
#define	USERVAR_LPS_DISPLAY_SEITE					574	// Dargestellte Seite
#define	USERVAR_LPS_LEISTUNGS_SKALA				575	// Skalen-Endwert der Leistung
#define	USERVAR_LPS_RAMPEN_BESCHLEUNIGUNG		576	// Beschleunigung der Rampe

// LPS EEPROM-Variablen
#define	USERVAR_LPS_NENN_GESCHWINDIGKEIT			580	// Nenn-Geschwindigkeit
#define	USERVAR_LPS_NENN_ZUGKRAFT					581	// Nenn-Zugkraft
#define	USERVAR_LPS1_MASSE							582	// Masse der 1. Rollensatzes
#define	USERVAR_LPS2_MASSE							583	// Masse der 2. Rollensatzes
#define	USERVAR_LPS_REVISIONS_NR					584	// Revisions-Nummer

// Variablen fr Diskrete Messung
#define	USERVAR_LPS_DM_N_SOLLWERT					588	// Aktueller Drehzahl-Sollwert
#define	USERVAR_LPS_DM_V_SOLLWERT					589	// Aktueller Geschwindigkeits-Sollwert
#define	USERVAR_LPS_DM_START_DREHZAHL				590	// Start-Drehzahl
#define	USERVAR_LPS_DM_END_DREHZAHL				591	// End-Drehzahl
#define	USERVAR_LPS_DM_STEP_DREHZAHL				592	// Schrittweite der Drehzahl
#define	USERVAR_LPS_DM_START_GESCHWINDIGKEIT	593	// Start-Geschwindigkeit
#define	USERVAR_LPS_DM_END_GESCHWINDIGKEIT		594	// End-Geschwindigkeit
#define	USERVAR_LPS_DM_STEP_GESCHWINDIGKEIT		595	// Schrittweite der Geschwindigkeit
#define	USERVAR_LPS_DM_HALTEZEIT		  			596	// Haltezeit
#define 	USERVAR_LPS_DM_START_HALTEZEIT  			597	// Start-Haltezeit
#define	USERVAR_LPS_DM_STATUS						598	// Status HALTEN oder RAMPE

// Ergebnis der Leistungs-Messung
#define	USERVAR_LPS_MAX_P_RAD						600	// Radleistung bei max. P-Norm
#define	USERVAR_LPS_MAX_P_SCHLEPP					601	// Schleppleistung bei max. P-Norm
#define	USERVAR_LPS_MAX_P_MOT						602	// Motorleistung bei max. P-Norm
#define	USERVAR_LPS_MAX_P_NORM						603	// Maximale Norm-Leistung
#define	USERVAR_LPS_V_BEI_MAX_P						604	// Geschwindigkeit bei max. P-Norm
#define	USERVAR_LPS_N_BEI_MAX_P						605	// Drehzahl bei max. P-Norm
#define	USERVAR_LPS_MAX_M_NORM						606	// Maximales Drehmoment
#define	USERVAR_LPS_V_BEI_MAX_M						607	// Geschwindigkeit bei max. M-Norm
#define	USERVAR_LPS_N_BEI_MAX_M						608	// Drehzahl bei max. M-Norm
#define	USERVAR_LPS_MAX_T_LUFT						609	// Lufttemperatur bei max. P-Norm
#define	USERVAR_LPS_MAX_P_LUFT						610	// Luftdruck bei max. P-Norm
#define	USERVAR_LPS_REDUZIER_FAKTOR				611	// Luftdruck bei max. P-Norm
#define	USERVAR_LPS_MAX_V								612	// Maximal gefahrene Geschwindigkeit
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_1			613	// Beschleunigung beim 1. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_1			614	// Zugkraft beim 1. Auslaufversuch
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_2			615	// Beschleunigung beim 2. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_2			616	// Zugkraft beim 2. Auslaufversuch
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_1_VA		617	// Beschleunigung VA beim 1. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_1_VA		618	// Zugkraft VA beim 1. Auslaufversuch
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_2_VA		619	// Beschleunigung VA beim 2. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_2_VA		620	// Zugkraft VA beim 2. Auslaufversuch
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_1_HA		621	// Beschleunigung HA beim 1. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_1_HA		622	// Zugkraft HA beim 1. Auslaufversuch
#define	USERVAR_LPS_A_AUSLAUFVERSUCH_2_HA		623	// Beschleunigung HA beim 2. Auslaufversuch
#define	USERVAR_LPS_F_AUSLAUFVERSUCH_2_HA		624	// Zugkraft HA beim 2. Auslaufversuch
#define	USERVAR_LPS_ROTIERENDE_MASSE				625	// Ermittelte Rotierende Masse
#define	USERVAR_LPS_ROTIERENDE_MASSE_VA			626	// Ermittelte Rotierende Masse (VA)
#define	USERVAR_LPS_ROTIERENDE_MASSE_HA			627	// Ermittelte Rotierende Masse (HA)
#define	USERVAR_LPS_V_FREIGABE_AUSLAUF_2			628	// Freigabe-Geschw. fr 2. Ausrollversuch
#define	USERVAR_LPS_MAX_P_RAD_AUSLAUF_1			629	// Maximale Radleistung nach 1. Ausrollversuch
#define	USERVAR_LPS_V_BEI_MAX_P_RAD_AUSLAUF_1	630	// Geschw. bei max. Radleistung


#define	USERVAR_LPS
//---------------- Platz fr Neuerungen -----------------------------------

//---------------- EEPROM-Variablen ---------------------------------------
#define  USERVAR_EEPROM_NR_0						899
#define  USERVAR_EEPROM_NR_1						900
#define  USERVAR_EEPROM_NR_2						901
#define  USERVAR_EEPROM_NR_3						902
#define  USERVAR_EEPROM_NR_4						903
#define  USERVAR_EEPROM_NR_5						904
#define  USERVAR_EEPROM_NR_6						905
#define  USERVAR_EEPROM_NR_7						906
#define  USERVAR_EEPROM_NR_8						907
#define  USERVAR_EEPROM_NR_9						908

#define  USERVAR_EEPROM_NR_10					   909
#define  USERVAR_EEPROM_NR_11					   910
#define  USERVAR_EEPROM_NR_12					   911
#define  USERVAR_EEPROM_NR_13					   912
#define  USERVAR_EEPROM_NR_14					   913
#define  USERVAR_EEPROM_NR_15					   914
#define  USERVAR_EEPROM_NR_16					   915
#define  USERVAR_EEPROM_NR_17					   916
#define  USERVAR_EEPROM_NR_18					   917
#define  USERVAR_EEPROM_NR_19					   918

#define  USERVAR_EEPROM_NR_20					   919
#define  USERVAR_EEPROM_NR_21					   920
#define  USERVAR_EEPROM_NR_22					   921
#define  USERVAR_EEPROM_NR_23					   922
#define  USERVAR_EEPROM_NR_24					   923
#define  USERVAR_EEPROM_NR_25					   924
#define  USERVAR_EEPROM_NR_26					   925
#define  USERVAR_EEPROM_NR_27					   926
#define  USERVAR_EEPROM_NR_28					   927
#define  USERVAR_EEPROM_NR_29					   928

#define  USERVAR_EEPROM_NR_30					   929
#define  USERVAR_EEPROM_NR_31					   930
#define  USERVAR_EEPROM_NR_32					   931
#define  USERVAR_EEPROM_NR_33					   932
#define  USERVAR_EEPROM_NR_34					   933
#define  USERVAR_EEPROM_NR_35					   934
#define  USERVAR_EEPROM_NR_36					   935
#define  USERVAR_EEPROM_NR_37					   936
#define  USERVAR_EEPROM_NR_38					   937
#define  USERVAR_EEPROM_NR_39					   938

#define  USERVAR_EEPROM_NR_40					   939
#define  USERVAR_EEPROM_NR_41					   940
#define  USERVAR_EEPROM_NR_42					   941
#define  USERVAR_EEPROM_NR_43					   942
#define  USERVAR_EEPROM_NR_44					   943
#define  USERVAR_EEPROM_NR_45					   944
#define  USERVAR_EEPROM_NR_46					   945
#define  USERVAR_EEPROM_NR_47					   946
#define  USERVAR_EEPROM_NR_48					   947
#define  USERVAR_EEPROM_NR_49					   948

#define  USERVAR_EEPROM_NR_50					   949
#define  USERVAR_EEPROM_NR_51					   950
#define  USERVAR_EEPROM_NR_52					   951
#define  USERVAR_EEPROM_NR_53					   952
#define  USERVAR_EEPROM_NR_54					   953
#define  USERVAR_EEPROM_NR_55					   954
#define  USERVAR_EEPROM_NR_56					   955
#define  USERVAR_EEPROM_NR_57					   956
#define  USERVAR_EEPROM_NR_58					   957
#define  USERVAR_EEPROM_NR_59					   958

#define  USERVAR_EEPROM_NR_60					   959
#define  USERVAR_EEPROM_NR_61					   960
#define  USERVAR_EEPROM_NR_62					   961
#define  USERVAR_EEPROM_NR_63					   962
#define  USERVAR_EEPROM_NR_64					   963
#define  USERVAR_EEPROM_NR_65					   964
#define  USERVAR_EEPROM_NR_66					   965
#define  USERVAR_EEPROM_NR_67					   966
#define  USERVAR_EEPROM_NR_68					   967
#define  USERVAR_EEPROM_NR_69					   968

#define  USERVAR_EEPROM_NR_70					   969
#define  USERVAR_EEPROM_NR_71					   970
#define  USERVAR_EEPROM_NR_72					   971
#define  USERVAR_EEPROM_NR_73					   972
#define  USERVAR_EEPROM_NR_74					   973
#define  USERVAR_EEPROM_NR_75					   974
#define  USERVAR_EEPROM_NR_76					   975
#define  USERVAR_EEPROM_NR_77					   976
#define  USERVAR_EEPROM_NR_78					   977
#define  USERVAR_EEPROM_NR_79					   978

#define  USERVAR_EEPROM_NR_80					   979
#define  USERVAR_EEPROM_NR_81					   980
#define  USERVAR_EEPROM_NR_82					   981
#define  USERVAR_EEPROM_NR_83					   982
#define  USERVAR_EEPROM_NR_84					   983
#define  USERVAR_EEPROM_NR_85					   984
#define  USERVAR_EEPROM_NR_86					   985
#define  USERVAR_EEPROM_NR_87					   986
#define  USERVAR_EEPROM_NR_88					   987
#define  USERVAR_EEPROM_NR_89					   988

#define  USERVAR_EEPROM_NR_90					   989
#define  USERVAR_EEPROM_NR_91					   990
#define  USERVAR_EEPROM_NR_92					   991
#define  USERVAR_EEPROM_NR_93					   992
#define  USERVAR_EEPROM_NR_94					   993
#define  USERVAR_EEPROM_NR_95					   994
#define  USERVAR_EEPROM_NR_96					   995
#define  USERVAR_EEPROM_NR_97					   996
#define  USERVAR_EEPROM_NR_98					   997
#define  USERVAR_EEPROM_NR_99					   998

#define  USERVAR_EEPROM_NR_100				   999
#define  USERVAR_EEPROM_NR_101 				   1000
#define  USERVAR_EEPROM_NR_102 				   1001
#define  USERVAR_EEPROM_NR_103 				   1002
#define  USERVAR_EEPROM_NR_104 				   1003
#define  USERVAR_EEPROM_NR_105 				   1004
#define  USERVAR_EEPROM_NR_106 				   1005
#define  USERVAR_EEPROM_NR_107 				   1006
#define  USERVAR_EEPROM_NR_108 				   1007
#define  USERVAR_EEPROM_NR_109				   1008


#define  USERVAR_EEPROM_NR_187				   800
#define  USERVAR_EEPROM_NR_188				   801
#define  USERVAR_EEPROM_NR_189				   802
#define  USERVAR_EEPROM_NR_190				   803
#define  USERVAR_EEPROM_NR_191				   804
#define  USERVAR_EEPROM_NR_192				   805
#define  USERVAR_EEPROM_NR_193				   806
#define  USERVAR_EEPROM_NR_194				   807
#define  USERVAR_EEPROM_NR_195				   808
#define  USERVAR_EEPROM_NR_196				   809
#define  USERVAR_EEPROM_NR_197				   810
#define  USERVAR_EEPROM_NR_198				   811
#define  USERVAR_EEPROM_NR_199				   812



#define  USERVAR_EEPROM_NR_200				   830
#define  USERVAR_EEPROM_NR_201				   831
#define  USERVAR_EEPROM_NR_202				   832
#define  USERVAR_EEPROM_NR_203				   833
#define  USERVAR_EEPROM_NR_204				   834
#define  USERVAR_EEPROM_NR_205				   835
#define  USERVAR_EEPROM_NR_206				   836
#define  USERVAR_EEPROM_NR_207				   837
#define  USERVAR_EEPROM_NR_208				   838
#define  USERVAR_EEPROM_NR_209				   839
#define  USERVAR_EEPROM_NR_210				   840
#define  USERVAR_EEPROM_NR_211				   841
#define  USERVAR_EEPROM_NR_212				   842
#define  USERVAR_EEPROM_NR_213				   843
#define  USERVAR_EEPROM_NR_214				   844
#define  USERVAR_EEPROM_NR_215				   845
#define  USERVAR_EEPROM_NR_216				   846
#define  USERVAR_EEPROM_NR_217				   847
#define  USERVAR_EEPROM_NR_218				   848
#define  USERVAR_EEPROM_NR_219				   849
#define  USERVAR_EEPROM_NR_220				   850
#define  USERVAR_EEPROM_NR_221				   851
#define  USERVAR_EEPROM_NR_222				   852
#define  USERVAR_EEPROM_NR_223				   853
#define  USERVAR_EEPROM_NR_224				   854
#define  USERVAR_EEPROM_NR_225				   855
#define  USERVAR_EEPROM_NR_226				   856
#define  USERVAR_EEPROM_NR_227				   857
#define  USERVAR_EEPROM_NR_228				   858
#define  USERVAR_EEPROM_NR_229				   859
#define  USERVAR_EEPROM_NR_230				   860
#define  USERVAR_EEPROM_NR_231				   861
#define  USERVAR_EEPROM_NR_232				   862
#define  USERVAR_EEPROM_NR_233				   863
#define  USERVAR_EEPROM_NR_234				   864
#define  USERVAR_EEPROM_NR_235				   865
#define  USERVAR_EEPROM_NR_236				   866
#define  USERVAR_EEPROM_NR_237				   867
#define  USERVAR_EEPROM_NR_238				   868
#define  USERVAR_EEPROM_NR_239				   869
#define  USERVAR_EEPROM_NR_240				   870
#define  USERVAR_EEPROM_NR_241				   871
#define  USERVAR_EEPROM_NR_242				   872
#define  USERVAR_EEPROM_NR_243				   873
#define  USERVAR_EEPROM_NR_244				   874
#define  USERVAR_EEPROM_NR_245				   875

//=========================================================================
//---- System-Variablen, die aus SYSTEM.DBF ausgelesen werden -------------
//=========================================================================

// ----- diese Variablen werden beim Booten aus der System.DBF ausgelesen, und
// ----- stehen dann zur Verfgung.
// ----- je nach Land wird ein anderer Datensatz verarbeitet


//------ globale WERTE, die lnderspezifisch sind, aber nicht FZG spezifisch

// !!!!!!!!!!! belegt bis   1199  !!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!! belegt bis   1199  !!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!! belegt bis   1199  !!!!!!!!!!!!!!!!!!!!!
//=========================================================================

// --------------- LON Variable ----------------------------------------------

// --------------- LON Variable ----------------------------------------------
// => Fehler-Erkennung der einzelnen LON-Prfstnde

// LON-OUT (Relaiskarte  1)
#define  USERVAR_LON_RELAIS_FEHLER_NR           1201


// LON-FB ( Fernbedienung )
#define  USERVAR_LON_IRE_FEHLER_NR  	         1211

// LON-LPS1
#define  USERVAR_LON_LPS1_FEHLER_NR            	1214

// LON-LPS2
#define  USERVAR_LON_LPS2_FEHLER_NR            	1215

// LON Knoten-Nummer
#define  USERVAR_LON_KNOTEN_NUMMER 					1271

// LON Selektor
#define  USERVAR_LON_SELEKTOR							1272

// LON Kennung
#define  USERVAR_LON_KENNUNG							1273

// LON-Variablen Daten
#define 	USERVAR_LON_VARIABLEN_NUMMER           1274
#define 	USERVAR_LON_VARIABLEN_TYP	            1275
#define 	USERVAR_LON_SPEICHER_TYP		         1276
#define 	USERVAR_LON_VARIABLEN_DATEN_0				1277
#define 	USERVAR_LON_VARIABLEN_DATEN_1				1278
#define 	USERVAR_LON_VARIABLEN_DATEN_2				1279
#define 	USERVAR_LON_VARIABLEN_DATEN_3				1280
#define 	USERVAR_LON_VAR_WERT                   1281


//==============================================================================
//================ globale Farbdefinitionen => im Men nderbar ===============
// !!!! derzeit im INTRO.SCR vorbelegt !!!!!!
//==============================================================================

// default: Hintergrund  (Black60)
#define  USERVAR_COLOR_BACKGROUND                 	1900
// default: inneres Rechteck
#define  USERVAR_COLOR_FORGROUND                 	1910

// default: Button nicht aktiviert
#define  USERVAR_COLOR_BUTTON_INACTIVE			  		1920
// default: Button aktiviert
#define  USERVAR_COLOR_BUTTON_ACTIVE			  		1921
// default: Button gedrckt
#define  USERVAR_COLOR_BUTTON_PRESSED			  		1922

// default: Quickstring default Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_DEFAULT  	1930
// default: Quickstring default Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_DEFAULT  	1931
// default: Quickstring korrekt Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_OK			1932
// default: Quickstring korrekt Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_OK			1933
// default: Quickstring Fehler Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_ERROR		1934
// default: Quickstring Fehler Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_ERROR		1935

// default: Quickstring wei Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_WHITE		1941
// default: Quickstring wei Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_WHITE		1942
// default: Quickstring gelb Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_YELLOW		1943
// default: Quickstring gelb Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_YELLOW 		1944


// default: Quickstring Hilfsausgaben Vordergrund
#define  USERVAR_COLOR_QUICKSTRING_FRONT_HELP		1951
// default: Quickstring Hilfsausgaben Hintergrund
#define  USERVAR_COLOR_QUICKSTRING_BACK_HELP 		1952


// default: Bargraph-Farben
#define  USERVAR_COLOR_BARGRAPH_FRONT_COLOR			1961
#define  USERVAR_COLOR_BARGRAPH_BACKGROUND_COLOR	1962
#define  USERVAR_COLOR_BARGRAPH_SCALE_COLOR			1963
#define  USERVAR_COLOR_BARGRAPH_SIDE_COLOR			1964
#define  USERVAR_COLOR_BARGRAPH_TOP_COLOR				1965





// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!!!!! Variable.INI derzeit   2000  definiert !!!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


// ****************************************************************************
// *              	      System-Variable => Messwerte                       *
// ****************************************************************************
// dies sind die Variablen, die Programm intern mit den Messwerten der
// verschiedenen Prfstnde "gefllt" werden
// => sind nicht nderbar / lschbar ..., also nur "lesbar"

// => 0-100 sind intern reserviert fr KEVISUAL
//    ab 100 reserviert ( vordefiniert ) fr die einzelnen Prfstnde
//    => fr die Applikation

// =============== Definitionen fr internes DATENBANK-Handling ================
// PCMAIN-Feld IDENT_NR => relationale Verbindung der Datenbanken
// zum Speichern der Gerte wichtig !
#define  SYSVAR_PCMAIN_IDENT_NUMMER           100

// PCMAIN-Feld FZG_IDENT => relationale Verbindung zur FZG_DAT.DBF !!
// zum Laden der zugehrigen FZG-Daten, wenn Kunde bereits existiert
#define  SYSVAR_FZG_DAT_IDENT_NUMMER          102

// fr alle Gerte gleich
// => nur fr Syntax wichtig
#define	SYSVAR_GERAETE_REFERENZ_NR  			 103

//---------------- WERTE fr das Variablen-Programmieren ----------------------
#define	SYSVAR_VARIABLEN_IDENT_NR		   	 104		// Record-Nr der System-
																		// Datenbank


//---------------- SYSTEM.DBF Record Nummer zum Auslesen der Systemeinstellungen
// wird im INTRO ausgelesen + Variable gesetzt
#define  SYSVAR_SYSTEM_RECORD_NUMMER			 110
//---------------- Anzahl der Datenstze in einer selktierten Datenbank -------
#define	SYSVAR_DATENBANK_ANZAHL_RECORDS		 112		// "Datenbank_Select_Area"

//--------------- prinzipielle Sektions-Nummer die ausgelesen wird -----------
//						im EUROSYST.INI ausgelesen => 0 - 99
#define	SYSVAR_SEKTIONS_NUMMER					 114		// Sektionsnummer die
																		// im EUROSYST.INI
																		// ausgelesen wird !

#define	SYSVAR_DATENBANK_FUNKTION_OK  		 116		// Funktion, ob
																		// Datenbank-Befehl mit
																		// CALLDATABASE erfolgreich
																		// war, oder nicht
																		// okay=TRUE=1, sonst 0
																		// !! nicht mehr !!

#define	SYSVAR_DATENBANK_INITIALISIERUNGS_MODE	117	// Initialisierung der
																		// Datenbanken
																		// 0 ist ok
																		// dann z.B. Notbetrieb




// =============== Definitionen fr LON =======================================
//--------------- prinzipiell ob LON vorhanden ist ja/nein
//                bzw. ob der Prfstand enabled ist ja/nein
//						im EUROSYST.INI ausgelesen => 0 / 1
#define	SYSVAR_LON_VORHANDEN							140		// LON vorhanden
																		// im EUROSYST.INI

// LON-OUT Relaiskarte + LON-IN Eingangskarte + FB ( IRE )
#define	SYSVAR_LON_RELAISKARTE_VORHANDEN			141		// LON-OUT 8  1
//#define	SYSVAR_LON_RELAISKARTE_ZWEI_VORHANDEN	142		// LON-OUT 8  2
//#define	SYSVAR_LON_RELAISKARTE_DREI_VORHANDEN	143		// LON-OUT 8  3
//#define	SYSVAR_LON_EINGANGSKARTE_VORHANDEN		144		// LON-IN 8
//#define	SYSVAR_LON_EINGANGSKARTE_ZWEI_VORHANDEN 145		// LON-IN 8
//#define	SYSVAR_LON_EINGANGSKARTE_DREI_VORHANDEN 146		// LON-IN 8
	#define	SYSVAR_LON_IRE_VORHANDEN					147		// IRE + FB

// PKW-Prfstnde
//#define	SYSVAR_LON_FRP_VORHANDEN					150		// LON-FRP vorhanden
//#define	SYSVAR_LON_BPS_VORHANDEN					151		// LON-BPS vorhanden
//#define	SYSVAR_LON_TACHO_PKW_VORHANDEN	 		152		// LON-TACHO-PKW vorhanden
#define	SYSVAR_LON_LPS1_VORHANDEN	 					153		// LON-LPS vorhanden
#define	SYSVAR_LON_LPS2_VORHANDEN	 					154		// LON-LPS vorhanden
//#define	SYSVAR_LON_DREHTELLER_VORHANDEN	  		154		// LON-LPS vorhanden

// Versions-Info
#define	SYSVAR_VERSION										198		// Version-Nummer
#define	SYSVAR_REVISION									199		// Revisions-Nummer

// =============== Definitionen fr die einzelnen Prfgerte  =================

// --------------- LON-IE ---------------------------------------------------
#define	SYSVAR_IE_PEDALKRAFT								205
#define  SYSVAR_IE_TASTATURWERT  				 	   301 	// akt. Tastaturwert FB

//---------------- LPS ------------------------------------------------------
#define  SYSVAR_LPS_LEISTUNG               			410   // kW  	3,2
#define  SYSVAR_LPS_ZUGKRAFT 								411   // N     5,1
#define  SYSVAR_LPS_GESCHWINDIGKEIT_STUETZROLLE 	412	// km/h  3,2
#define  SYSVAR_LPS_GESCHWINDIGKEIT_BREMSROLLE  	413	// km/h  3,2
#define  SYSVAR_LPS_BESCHLEUNIGUNG					  	414	// m/s2  2,3
#define  SYSVAR_LPS_WEGSTRECKE             			415	// m 		4,3
#define  SYSVAR_LPS_STOPPUHR_ZEIT      				416	// s		3,2
#define	SYSVAR_LPS_ISE										417	// %		3,1
#define	SYSVAR_LPS_GEWICHT_LINKS						418	// lbs	5,1
#define	SYSVAR_LPS_GEWICHT_RECHTS						419	// lbs	5,1
#define	SYSVAR_LPS_ZWISCHENZEIT							420	// s		3,2
#define	SYSVAR_LPS_STOPPUHR_ZEIT_2						421	// s 		3,2
#define	SYSVAR_LPS_GEWICHT								422	// lb		4,0

// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!!!!! Variable.INI derzeit    700  definiert !!!!!!!!!!!!!!!!!!!!!!
// !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



//**************************************************************************/
//                     	   Ende Datei : VAR.H                              */
//**************************************************************************/

