// ****************************************************************************
// *           KE-Visual - Visualisierungssprache unter Windows           		*
// ****************************************************************************
// * Sprache                : KE-Visual, C++                                  *
// * programmiert von       : Peter Thaus           									*
// * letzte nderung am     : 24.09.1997                                      *
// * Library-Version        : 1.14.002                                        *
// ****************************************************************************
// *                          Datei : SYS_KEYS.H                            	*
// ****************************************************************************
// * Enthlt die von Windows benutzten Tastaturcodes zur Einbindung in			*
// * Programm (C++) und Screentext (KE-Visual)											*
// * Diese Datei sollte nicht gendert werden, da die Codes von Windows       *
// * fest vergeben werden.                                                    *
// ****************************************************************************

#ifndef __SYS_KEYS_H
#define __SYS_KEYS_H
#define __KEB_SYS_KEYS_H


// Zahlen
#define VK_0		0x30
#define VK_1		0x31
#define VK_2		0x32
#define VK_3		0x33
#define VK_4		0x34
#define VK_5		0x35
#define VK_6		0x36
#define VK_7		0x37
#define VK_8		0x38
#define VK_9		0x39

// Buchstaben
#define VK_A		0x41
#define VK_B		0x42
#define VK_C		0x43
#define VK_D		0x44
#define VK_E		0x45
#define VK_F		0x46
#define VK_G		0x47
#define VK_H		0x48
#define VK_I		0x49
#define VK_J		0x4A
#define VK_K		0x4B
#define VK_L		0x4C
#define VK_M		0x4D
#define VK_N		0x4E
#define VK_O		0x4F
#define VK_P		0x50
#define VK_Q		0x51
#define VK_R		0x52
#define VK_S		0x53
#define VK_T		0x54
#define VK_U		0x55
#define VK_V		0x56
#define VK_W		0x57
#define VK_X		0x58
#define VK_Y		0x59
#define VK_Z		0x5A

// Funktionstasten
#define VK_F1    	0x70
#define VK_F2    	0x71
#define VK_F3    	0x72
#define VK_F4    	0x73
#define VK_F5    	0x74
#define VK_F6    	0x75
#define VK_F7    	0x76
#define VK_F8    	0x77
#define VK_F9    	0x78
#define VK_F10   	0x79
#define VK_F11   	0x7A
#define VK_F12   	0x7B

// Sondertasten
#define VK_BACK		0x08
#define VK_TAB   		0x09
#define VK_SHIFT     0x10
#define VK_CONTROL   0x11
#define VK_PAUSE     0x13
#define VK_ESCAPE		0x1B
#define VK_SPACE		0x20
// Original-Windows-Definition
#define VK_PRIOR     0x21
#define VK_NEXT      0x22
// KE-Visual Definition als VK_PAGE... ist wohl verstndlicher
#define VK_PAGE_UP   VK_PRIOR
#define VK_PAGE_DOWN VK_NEXT
#define VK_END   		0x23
#define VK_HOME  		0x24
#define VK_DELETE		0x2E

#define VK_PLUS      0xBB
#define VK_MINUS     0xBD

// Kombinationstasten (z.B. CK_ALT + VK_F4 => Alt-F4)
// dieser werden von KE-Visual intern definiert, sind also normalerweise unter
// Windows nicht vorhanden
// CK: Combined Key
#define CK_ALT			0x1000
#define CK_CONTROL	0x2000
#define CK_SHIFT		0x4000

#endif  __SYS_KEYS_H

// ****************************************************************************
// *                          Ende Datei : SYS_KEYS.H                       	*
// ****************************************************************************

